commit 38e8e479ad9e77a1453ec0940849fa3ba97162d8
Author: Florent Chuffart <florent.chuffart@ens-lyon.fr>
Date:   Fri Feb 21 11:02:31 2014 +0100

    Adding CL features.

diff --git a/README b/README
index 58e0d51..39c3ce6 100644
--- a/README
+++ b/README
@@ -266,25 +266,61 @@ URL. This ensures consistency between URL, sequence and the file
 itself.
 
 
+Reporting Bugs
+--------------
+
+If you think you have found a bug and would like to report the
+problem, then please ensure you have applied all applicable updates.
+If this is the case, send a description of your problem and some
+screenshot to florent.chuffart on its ens-lyon.fr email. Thank you for
+your contribution.
+
+
 Backing up the Mysql Database and Stored Files
 ----------------------------------------------
 
-We provide two level of backup. The first only dump the mySQL database
-and the second also add the uploaded files (plasmid_files raw_dirs
-directories in your /var/www/labstocks directory). These two features
-are available on the *home* page. The two links in the sentence
-*Backup the entire system or only the database NOW!* allow any user to
-download the requested backups. It could be use full for an admin to
-integrate it in a robust file backup system using for example a cron
-that regularly pull the archives (*wget
-http://.../labstocks/backup.php?FULL_BACK=1*).
+We HIGHLY RECOMMEND THAT YOU REGULARLY BACKUP you MyLabStocks
+database. We provide two levels of backup. The first only dump the
+mySQL database and the second also add the uploaded files
+(plasmid_files raw_dirs directories in your /var/www/labstocks
+directory). These two features are available on the *home* page. The
+two links in the sentence *Backup the entire system or only the
+database NOW!* allow any user to download the requested backups. It
+could be useful for an administrator to integrate it in a robust file
+backup system using for example a cron that regularly pull the
+archives (*wget http://.../labstocks/backup.php?FULL_BACK=1*).
 
 
-Reporting Bugs
---------------
+How To Restore System From Backup
+---------------------------------
 
-If you think you have found a bug and would like to report the
-problem, then please ensure you have applied all applicable updates.
-Else, send a description of your problem and some screenshot to
-florent.chuffart on its ens-lyon.fr email. Thank you for your
-contribution.
+On the targeted server, you can restore database from the last backup
+(file ''labstocks_db.sql'') by typing the following command in a
+terminal. It drops existing tables, creates new one and restore data.
+You have to adapt user password and database name according to your
+setting.
+
+   sudo mysql --user=root --password=root labstocks_db < labstocks_db.sql
+
+To restore uploaded file, you have to copy backuped directories
+(''plasmid_files'' and ''raw_dirs'') to your labstocks directory. To
+do that, on the targeted server type the following commands in a
+terminal.
+
+   sudo cp -r plasmid_files raw_dirs /var/www/labstocks/.
+
+
+Extend Database
+---------------
+
+MyLabstock is delivrer under a free licence. Feel free to modify and
+extend it as to adapt it to your your own lab. To do that you could
+easily create new table using phpMyAdmin
+(http://your_server/phpmyadmin)
+http://http://your_server/yourserver)ou mysql command line tool
+(documentation here
+http://dev.mysql.com/doc/refman/5.6/en/mysql.html). MyLabStocks uses
+the  framework phpMyEdit to manaeg the user interface. Use the
+provided tool http://your_server/phpMyEditSetup.php to generate code.
+For any question please refer to the embeded documention
+(http://your_server/labstocks/doc/html/).
diff --git a/src/footers.php b/src/footers.php
index dba2ea3..89a1e28 100644
--- a/src/footers.php
+++ b/src/footers.php
@@ -1,5 +1,5 @@
 <?php
-if ($tb != "home") {
+if ($tb != "home" & $tb != "rack" ) {
   // TRIGGER
   $opts['triggers']['select']['pre'][] = 'last_trigger.MVC.php';
   $opts['triggers']['update']['pre'][] = 'last_trigger.MVC.php';
diff --git a/src/headers.php b/src/headers.php
index e577005..71bfb58 100644
--- a/src/headers.php
+++ b/src/headers.php
@@ -22,8 +22,12 @@ require_once ("connect_entry.php");
             <li id="pl_features"><span><a href="pl_features.php"> Plasmids Features </a></span></li>
             <li id="strains"><span><a href="strains.php"> Strains </a></span></li>
             <li id="oligos"><span><a href="oligos.php"> Oligos </a></span></li>
-            <li id="wwwblast"><span><a href="wwwblast.php"> wwwBLAST </a></span></li>
             <li id="antibodies"><span><a href="antibodies.php"> Antibodies </a></span></li>
+            <li id="cl_name"><span><a href="cl_name.php"> Cell Line Names </a></span></li>
+            <li id="cl_passages"><span><a href="cl_passages.php"> Cell Line Passages </a></span></li>
+            <li id="cl_storage"><span><a href="cl_storage.php"> Cell Line Storage </a></span></li>
+            <li id="rack"><span><a href="rack.php"> Box Manager </a></span></li>
+            <li id="wwwblast"><span><a href="wwwblast.php"> wwwBLAST </a></span></li>
             <li id="collections"><span><a href="collections.php"> Collections </a></span></li>
             <li id="pip_stock"><span><a href="pip_stock.php"> Pipets </a></span></li>
             <li id="pip_history"><span><a href="pip_history.php"> Pipet History </a></span></li>
diff --git a/src/phpMyEdit.class.php b/src/phpMyEdit.class.php
index aba27c2..9403bb9 100644
--- a/src/phpMyEdit.class.php
+++ b/src/phpMyEdit.class.php
@@ -3183,7 +3183,7 @@ function '.$this->js['prefix'].'filter_handler(theForm, theEvent)
 
 		$this->sql_disconnect();
 		if ($this->display['time'] && $this->timer != null) {
-			echo $this->timer->end(),' miliseconds';
+			echo $this->timer->end(),' milliseconds';
 		}
 	} /* }}} */
 
